This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 166145 - programs for viewing attachments started with many descriptors opened
programs for viewing attachments started with many descriptors opened
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 08:40 EDT by Ulrich Drepper
Modified: 2008-02-08 11:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 11:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 147659 None None None Never

  None (edit)
Description Ulrich Drepper 2005-08-17 08:40:49 EDT
Description of problem:
If one starts an application to view an attachment that process inherets a lot
of file descriptors from the thunderbird process.  I found this when looking at
a oo.org process which got stuck.  The /proc/*/fd subdir of that process looked
like this:

lr-x------  1 username username 64 Aug 16 23:54 0 -> /dev/null
l-wx------  1 username username 64 Aug 16 23:54 1 -> /dev/null
lr-x------  1 username username 64 Aug 16 23:54 10 -> pipe:[323859]
l-wx------  1 username username 64 Aug 16 23:54 11 -> pipe:[323859]
lr-x------  1 username username 64 Aug 16 23:54 12 -> pipe:[323860]
l-wx------  1 username username 64 Aug 16 23:54 13 -> pipe:[323860]
lr-x------  1 username username 64 Aug 16 23:54 14 -> pipe:[323861]
l-wx------  1 username username 64 Aug 16 23:54 15 -> pipe:[323861]
l-wx------  1 username username 64 Aug 16 23:54 16 -> pipe:[323879]
l-wx------  1 username username 64 Aug 16 23:54 17 -> pipe:[323884]
lr-x------  1 username username 64 Aug 16 23:54 18 -> pipe:[323885]
l-wx------  1 username username 64 Aug 16 23:54 19 -> pipe:[323885]
l-wx------  1 username username 64 Aug 16 23:54 2 -> /dev/null
lr-x------  1 username username 64 Aug 16 23:54 20 -> pipe:[323886]
l-wx------  1 username username 64 Aug 16 23:54 21 -> pipe:[323886]
lr-x------  1 username username 64 Aug 16 23:54 22 -> pipe:[323887]
l-wx------  1 username username 64 Aug 16 23:54 23 -> pipe:[323887]
lr-x------  1 username username 64 Aug 16 23:54 24 -> pipe:[1009404]
l-wx------  1 username username 64 Aug 16 23:54 25 -> pipe:[1009404]
lrwx------  1 username username 64 Aug 16 23:54 26 -> socket:[1009407]
lr-x------  1 username username 64 Aug 16 23:54 27 ->
/usr/lib64/thunderbird-1.0.6/chrome/messenger.jar
lr-x------  1 username username 64 Aug 16 23:54 28 ->
/usr/lib64/thunderbird-1.0.6/chrome/en-US.jar
lr-x------  1 username username 64 Aug 16 23:54 29 ->
/usr/lib64/thunderbird-1.0.6/chrome/comm.jar
lrwx------  1 username username 64 Aug 16 23:54 3 -> socket:[1009403]
lr-x------  1 username username 64 Aug 16 23:54 30 ->
/home/username/.thunderbird/sdf2pimm.default/extensions/{5F590AA2-1221-4113-A6F4-A4BB62414FAC}/chrome/smoothwheel.jar
lr-x------  1 username username 64 Aug 16 23:54 31 ->
/home/username/.thunderbird/sdf2pimm.default/extensions/{B274D460-4DF9-454c-AC69-CA71398D7498}/chrome/quotecolors.jar
lrwx------  1 username username 64 Aug 16 23:54 32 ->
/home/username/.thunderbird/sdf2pimm.default/abook.mab
lr-x------  1 username username 64 Aug 16 23:54 33 ->
/home/username/.thunderbird/sdf2pimm.default/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/chrome/enigmail.jar
lr-x------  1 username username 64 Aug 16 23:54 34 ->
/home/username/.thunderbird/sdf2pimm.default/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/chrome/enigmail-skin-tbird.jar
lr-x------  1 username username 64 Aug 16 23:54 35 ->
/home/username/.thunderbird/sdf2pimm.default/extensions/{0b62b504-857c-4f62-a336-2e8425bd5738}/chrome/quotecollapse.jar
lr-x------  1 username username 64 Aug 16 23:54 36 ->
/usr/lib64/thunderbird-1.0.6/chrome/newsblog.jar
lr-x------  1 username username 64 Aug 16 23:54 37 ->
/usr/lib64/thunderbird-1.0.6/chrome/classic.jar
lr-x------  1 username username 64 Aug 16 23:54 38 ->
/usr/lib64/thunderbird-1.0.6/chrome/toolkit.jar
l-wx------  1 username username 64 Aug 16 23:54 39 ->
/home/username/.thunderbird/sdf2pimm.default/XUL.mfasl
lr-x------  1 username username 64 Aug 16 23:54 4 -> pipe:[323858]
lr-x------  1 username username 64 Aug 16 23:54 40 ->
/usr/lib64/thunderbird-1.0.6/chrome/offline.jar
lrwx------  1 username username 64 Aug 16 23:54 41 ->
/home/username/.thunderbird/sdf2pimm.default/panacea.dat
lrwx------  1 username username 64 Aug 16 23:54 42 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/pop.starband-1.net/Junk.msf
lrwx------  1 username username 64 Aug 16 23:54 43 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/Trash.msf
lrwx------  1 username username 64 Aug 16 23:54 44 ->
/home/username/.thunderbird/sdf2pimm.default/ImapMail/mail.akkadia.org/INBOX.msf
lrwx------  1 username username 64 Aug 16 23:54 45 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/Red
Hat.sbd/Fedora.msf
lrwx------  1 username username 64 Aug 16 23:54 46 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/enigmail.msf
lrwx------  1 username username 64 Aug 16 23:54 47 -> socket:[323903]
lrwx------  1 username username 64 Aug 16 23:54 48 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/pop.starband-1.net/Inbox.msf
lrwx------  1 username username 64 Aug 16 23:54 49 ->
/home/username/.thunderbird/sdf2pimm.default/ImapMail/myware64.akkadia.org/INBOX.msf
lr-x------  1 username username 64 Aug 16 23:54 5 -> pipe:[323884]
lrwx------  1 username username 64 Aug 16 23:54 50 -> socket:[324204]
lrwx------  1 username username 64 Aug 16 23:54 51 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/News & Blogs/Red Hat
Executives.msf
lr-x------  1 username username 64 Aug 16 23:54 52 -> pipe:[1009409]
lrwx------  1 username username 64 Aug 16 23:54 53 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/News & Blogs/Trash.msf
lrwx------  1 username username 64 Aug 16 23:54 54 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/News & Blogs/Red Hat People.msf
lrwx------  1 username username 64 Aug 16 23:54 55 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/TeX.msf
l-wx------  1 username username 64 Aug 16 23:54 56 -> pipe:[328916]
l-wx------  1 username username 64 Aug 16 23:54 57 -> pipe:[1009409]
l-wx------  1 username username 64 Aug 16 23:54 58 -> pipe:[328917]
lrwx------  1 username username 64 Aug 16 23:54 59 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local
Folders/Programming.sbd/monotone.msf
lr-x------  1 username username 64 Aug 16 23:54 6 -> pipe:[323878]
lr-x------  1 username username 64 Aug 16 23:54 60 ->
/home/username/.thunderbird/sdf2pimm.default/extensions/{12a1584b-2123-473d-8752-e82e74e3cb1b}/chrome/nestedquoteremover.jar
lrwx------  1 username username 64 Aug 16 23:54 61 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/glibc.sbd/glibc
CVS.msf
lr-x------  1 username username 64 Aug 16 23:54 62 ->
/usr/lib/openoffice.org2.0/program/types.rdb
lr-x------  1 username username 64 Aug 16 23:54 63 ->
/usr/lib/openoffice.org2.0/program/services.rdb
lrwx------  1 username username 64 Aug 16 23:54 64 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/binutils.msf
lr-x------  1 username username 64 Aug 16 23:54 65 -> pipe:[328921]
l-wx------  1 username username 64 Aug 16 23:54 66 -> pipe:[328921]
lrwx------  1 username username 64 Aug 16 23:54 67 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/Sent.msf
lrwx------  1 username username 64 Aug 16 23:54 68 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local
Folders/Various.sbd/gettext CVS.msf
lr-x------  1 username username 64 Aug 16 23:54 69 -> pipe:[337831]
l-wx------  1 username username 64 Aug 16 23:54 7 -> pipe:[323878]
l-wx------  1 username username 64 Aug 16 23:54 70 -> pipe:[337831]
lrwx------  1 username username 64 Aug 16 23:54 71 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local
Folders/Programming.sbd/libstdc++.msf
lrwx------  1 username username 64 Aug 16 23:54 72 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/Red
Hat.sbd/SystemTap.msf
lrwx------  1 username username 64 Aug 16 23:54 73 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/Local Folders/Red
Hat.sbd/SELinux.msf
lrwx------  1 username username 64 Aug 16 23:54 74 -> socket:[971325]
lrwx------  1 username username 64 Aug 16 23:54 75 -> socket:[1009412]
lrwx------  1 username username 64 Aug 16 23:54 76 ->
/home/username/.thunderbird/sdf2pimm.default/Mail/News & Blogs/Fedora People.msf
lr-x------  1 username username 64 Aug 16 23:54 77 -> pipe:[1009415]
lrwx------  1 username username 64 Aug 16 23:54 78 ->
/home/username/.thunderbird/sdf2pimm.default/ImapMail/myware64.akkadia.org/Trash.msf
l-wx------  1 username username 64 Aug 16 23:54 79 -> pipe:[1009415]
lr-x------  1 username username 64 Aug 16 23:54 8 -> pipe:[323879]
lr-x------  1 username username 64 Aug 16 23:54 80 -> pipe:[1009416]
l-wx------  1 username username 64 Aug 16 23:54 81 -> pipe:[1009416]
lrwx------  1 username username 64 Aug 16 23:54 82 -> socket:[1009417]
lrwx------  1 username username 64 Aug 16 23:54 83 -> socket:[1009419]
lrwx------  1 username username 64 Aug 16 23:54 84 -> socket:[1009422]
lrwx------  1 username username 64 Aug 16 23:54 85 -> socket:[1009423]
lr-x------  1 username username 64 Aug 16 23:54 86 -> pipe:[1009425]
l-wx------  1 username username 64 Aug 16 23:54 87 -> pipe:[1009425]
lr-x------  1 username username 64 Aug 16 23:54 88 ->
/usr/lib/openoffice.org2.0/program/resource/ooo680en-US.res
lr-x------  1 username username 64 Aug 16 23:54 89 ->
/usr/lib/openoffice.org2.0/program/resource/ofa680en-US.res
l-wx------  1 username username 64 Aug 16 23:54 9 -> pipe:[323858]
lr-x------  1 username username 64 Aug 16 23:54 90 ->
/usr/lib/openoffice.org2.0/program/resource/ooo680en-US.res
lr-x------  1 username username 64 Aug 16 23:54 91 ->
/usr/lib/openoffice.org2.0/program/resource/sfx680en-US.res
lr-x------  1 username username 64 Aug 16 23:54 92 ->
/home/username/.openoffice.org2.0/user/psprint/pspfontcache


The descriptors up to at least 78 are all thunderbird's.

This is not only a waste of resources, it also means that the viewing
application has access to files only thunderbird should have access to.  What if
one cannot fully trust that application?  This is should probably be classified
as a security problem.

Version-Release number of selected component (if applicable):
thunderbird-1.0.6-3.x86_64


How reproducible:
didn't try

Steps to Reproduce:
1.view mail with oo.org attachments
2.start oo.org
3.look at /proc/*/fd of oo.org process
  
Actual results:
many open file descriptors inherited from thunderbird

Expected results:
none inherited

Additional info:
Comment 1 Josh Bressers 2005-08-17 08:49:41 EDT
I'm going to make a note of this in our notes.  It's probably going to get a
severity of "low".  I'll make sure upstream is aware of this and try to get a
fix into their next release.
Comment 2 Josh Bressers 2005-08-17 09:15:19 EDT
This issue has already been reported upstream here:
https://bugzilla.mozilla.org/show_bug.cgi?id=147659

It's very old, which I fear means it will not be fixed anytime soon.
Comment 4 Doncho N. Gunchev 2007-06-04 13:33:46 EDT
Still the same with TB 2.0 in FC7:
...
lrwx------ 1 <me> 64  4 юни 20,31 30 ->
~/.thunderbird/<profile>/ImapMail/<domain>/INBOX.msf
lrwx------ 1 <me> 64  4 юни 20,31 31 -> ~/.thunderbird/<profile>/abook.mab
...
Comment 5 Matěj Cepl 2008-02-08 11:17:15 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Note You need to log in before you can comment on or make changes to this bug.